using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Q3.SL.Demos.ExClasses;

namespace Q3.SL.Demos.Demos
{
    public partial class Barcode : UserControl
    {
        public Barcode()
        {
            InitializeComponent();
        }

        private void xProductListBox_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
        {            
            Product prod = e.AddedItems[0] as Product;

            if (prod == null)
                return;

            //xTransition.Content = new RadBarcode128()
            xTransition.Content = new RadBarcode39()
            //xTransition.Content = new RadBarcode11() 
            { 
                Text = prod.UPCValue 
            };
        }
    }
}
